## xilinx-bootgen 2022.2

=== Makefile ===
##############################################################################
#
# Copyright 2015-2020 Xilinx, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
##############################################################################
#
# Building Bootgen for x86 Host:
#    'make "LIBS=<openssl/lib/libssl.a> <openssl/lib/libcrypto.a> -ldl
#           -lpthread" "INCLUDE_USER=-I<openssl/include>"'
#
# Building Bootgen for ARM v8:
#    'make "CROSS_COMPILE=aarch64-linux-gnu-" "LIBS=<opensslarm/lib/libssl.a> \
#           <opensslarm/lib/libcrypto.a> -ldl -lpthread"
#           "INCLUDE_USER=-I<opensslarm/include>"'
#
##############################################################################

ifneq ($(CROSS_COMPILE), )
 CXX	= $(CROSS_COMPILE)g++
 CC	= $(CROSS_COMPILE)gcc
else ifneq ($(CROSS_COMPILER), )
 CXX	= $(CROSS_COMPILER)
 CC	= $(subst g++,gcc,$(CROSS_COMPILER))
else
 CXX	= g++
 CC	= gcc
endif

OBJ = o
CXXFLAGS ?= -std=c++0x -O -Wall -Wno-reorder -Wno-deprecated-declarations
CFLAGS ?= -O -Wall

GCCVERSIONGTEQ9 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 9)
ifeq "$(GCCVERSIONGTEQ9)" "1"
CXXFLAGS += -Wno-aligned-new -Wno-misleading-indentation -Wno-class-memaccess
endif

EXEC = bootgen
UNAME := $(shell uname)

ifeq ($(UNAME), Linux)
INCLUDE_SYS = -I.
LIBS    = -lssl -lcrypto
RTLIBS  =
OPTIONS_USER =
endif

INCLUDE = $(INCLUDE_USER) $(INCLUDE_SYS)

OPTIONS = $(OPTIONS_USER)

all: $(EXEC) $(RTLIBS)

OBJECTS = $(addsuffix .o, $(basename $(wildcard *.cpp)))
OBJECTS += $(addsuffix .o, $(basename $(wildcard *.c)))

%.${OBJ} : %.cpp
	${CXX} -c ${CXXFLAGS} $(OPTIONS) ${INCLUDE} $<

%.${OBJ} : %.c
	${CC} -c ${CFLAGS} $(OPTIONS) ${INCLUDE} $<

${EXEC}: $(OBJECTS)
	echo Building executable file: $@...
	${CXX} $(CXXFLAGS) $(LDFLAGS) $(OPTIONS_USER) -o $@ $(OBJECTS) $(LIBS)

execs: ${EXEC}

clean:
	echo
	rm -rf ${EXEC}
	rm -f $(OBJECTS)

## xilinx-bootgen 2021.1

=== debian/changelog ===
xilinx-bootgen (2021.1-1) unstable; urgency=medium

  * Initial release. (Closes: #993285)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Aug 2021 12:12:26 +0900

=== debian/control ===
Source: xilinx-bootgen
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/bootgen
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen.git

Package: xilinx-bootgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: boot image converter for Xilinx ARM SoCs
 xilinx-bootgen provides tools to generate a boot image (BOOT.BIN)
 for Xilinx ARM SoC (Zynq-7000, Zynq UltraScale + MPSoC, etc) devices.
 This also provides features such as boot authentication and OpenSSL-based
 encryption.

## xilinx-bootgen 2021.2

=== debian/changelog ===
xilinx-bootgen (2021.2-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 12:26:47 +0100

xilinx-bootgen (2021.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control
    - Update Maintainer and Uploaders.
  * Update d/copyright
    - Fix lintian warning: superfluous-file-pattern.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Nov 2021 13:18:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: xilinx-bootgen
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+           Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --exclude=.la

override_dh_auto_configure:
	dh_auto_configure -- --enable-static

override_dh_auto_test:
	# Note: Currently, following tests fail on Debian. This is an
	#       environmental problem to test. The debian/rules ignores
	#       the test error by dh_auto_test to ignore these.
	#	FAIL: unit/test-dbus-message-fds
	#	FAIL: unit/test-dbus-properties
	-dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bar-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/Xilinx/bootgen/tags .*/v?(\d\S*)\.tar\.gz

## xilinx-bootgen 2022.1

=== debian/changelog ===
xilinx-bootgen (2022.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
  * Update d/copyright.
    - Update copyright year.
  * Update d/watch.
    - Update to v4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 14:12:44 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/bootgen
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen

## xilinx-bootgen 2022.2

=== debian/changelog ===
xilinx-bootgen (2022.2-2) unstable; urgency=medium

  * d/rules: Add bootgen-xlnx to Breaks, Replaces and Provides in the case
    of Ubuntu. (Closes: LP: 2000774)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Jan 2023 11:25:15 +0900

xilinx-bootgen (2022.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update standards version to 4.6.1, no changes needed.
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 19:27:07 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/bootgen
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --exclude=.la

override_dh_auto_configure:
	if dpkg-vendor --derives-from Ubuntu; then \
	  sed -i \
	    -e '/^Description: .*$$/i Provides: bootgen-xlnx (= $${source:Version})' \
	    -e '/^Description: .*$$/i Breaks: bootgen-xlnx (<= 2022.1-0ubuntu1)' \
	    -e '/^Description: .*$$/i Replaces: bootgen-xlnx (<= 2022.1-0ubuntu1)' \
	    debian/control; \
	fi
	dh_auto_configure -- --enable-static

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bootgen-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/Xilinx/bootgen/tags .*/xilinx_v?(\d\S*)\.tar\.gz

## xilinx-bootgen 2024.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 ##############################################################################
 #
-# Copyright 2015-2020 Xilinx, Inc.
+# Copyright 2015-2022 Xilinx, Inc.
+# Copyright 2022-2023 Advanced Micro Devices, Inc.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.

=== debian/changelog ===
xilinx-bootgen (2024.2-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version to 4.7.0.
  * d/copyright:
    - Update copyright year.
  * d/upstream/metadata:
    - Remove obsolete fields Contact and Name.
    - Add Bug-Database field.
  * d/rules:
    - Drop unnecessary dependency on dh-autoreconf.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Feb 2025 21:43:59 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/bootgen
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf --exclude=.la
+	dh $@ --exclude=.la
 
 override_dh_auto_configure:
 	if dpkg-vendor --derives-from Ubuntu; then \
